## calligra 24.12.2+dfsg

=== debian/changelog ===
calligra (1:24.12.2+dfsg-3) unstable; urgency=medium

  * Backport upstream commit 8ba3e637114c5d1a9e18e410c603382a246fb154 to fix
    the <launchable> tags in two AppStream XML metainfo files; patch
    upstream_appstream-fix-launchable-s-of-Sheets-and-Stage.patch.
  * Backport upstream commit 9c23040e41a6e02593bcc5501f9cd39ee248b804 to make
    AppStream ignore calligra.desktop; patch
    upstream_Ignore-calligra.desktop-for-AppStream.patch.
  * Replace patch qsizetype-overload.diff with the upstream commit
    c26259c424210066c19e953a6dda12a4529408a9; patch
    upstream_sheets-fix-conflict-of-Value-int-and-Value-qsizetype.patch.
  * Use the ${shlibs:Depends} substvar in calligra, now that it has
    architecture-specific content.
  * Add a simple upstream/metadata file.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 16 Feb 2025 12:38:49 +0100

calligra (1:24.12.2+dfsg-2) unstable; urgency=medium

  * Change the libqca-qt5-2-plugins recommend to libqca-qt6-plugins, following
    the switch to Qt 6.
  * Switch the calligra binary package to be archiecture-specific, and tighten
    its dependencies with the other binary packages; this is needed to add
    architecture-specific content to it.
  * Move calligralauncher and its files from calligra-libs to the calligra
    binary package, as it depends on all the components
    - add proper breaks/replaces
  * Remove the python, and ruby suggests from calligrasheets, as kross is gone.

 -- Pino Toscano <pino@debian.org>  Mon, 10 Feb 2025 08:33:52 +0100

calligra (1:24.12.2+dfsg-1) unstable; urgency=medium

  [ Aurélien COUDERC]
  * Add lintian overrides for source-missing false positives.
  * Build with hardening=+all build hardening flag.

  [ Pino Toscano ]
  * New upstream release.
  * kdevelop is now part of the KDE release service, so switch the watch file
    to release-service locations.
  * Update the build dependencies following the port to Qt 6:
    - remove libkf5activities-dev, libkf5archive-dev, libkf5akonadi-dev,
      libkf5attica-dev, libkf5calendarcore-dev, libkf5codecs-dev,
      libkf5completion-dev, libkf5config-dev, libkf5configwidgets-dev,
      libkf5contacts-dev, libkf5coreaddons-dev, libkf5dbusaddons-dev,
      libkf5doctools-dev, libkf5guiaddons-dev, libkf5i18n-dev,
      libkf5iconthemes-dev, libkf5itemviews-dev, libkf5jobwidgets-dev,
      libkf5kcmutils-dev, libkf5kdelibs4support-dev, libkf5khtml-dev,
      libkf5kio-dev, libkf5notifications-dev, libkf5notifyconfig-dev,
      libkf5parts-dev, libkf5sonnet-dev, libkf5textwidgets-dev,
      libkf5wallet-dev, libkf5widgetsaddons-dev, libkf5windowsystem-dev,
      libkf5xmlgui-dev, libphonon4qt5-dev, libphonon4qt5experimental-dev,
      libqca-qt5-2-dev, libqt5opengl5-dev, libqt5svg5-dev, libqt5x11extras5-dev,
      qtbase5-dev, qtdeclarative5-dev, and libpoppler-qt5-dev
    - add libkf6archive-dev, libkf6completion-dev, libkf6config-dev,
      libkf6configwidgets-dev, libkf6coreaddons-dev, libkf6crash-dev,
      libkf6dbusaddons-dev, libkf6doctools-dev, libkf6guiaddons-dev,
      libkf6i18n-dev, libkf6iconthemes-dev, libkf6itemviews-dev,
      libkf6jobwidgets-dev, libkf6kcmutils-dev, libkf6kio-dev,
      libkf6notifications-dev, libkf6notifyconfig-dev, libkf6sonnet-dev,
      libkf6textwidgets-dev, libkf6widgetsaddons-dev, libkf6windowsystem-dev,
      libkf6xmlgui-dev, libphonon4qt6-dev, libphonon4qt6experimental-dev,
      libpoppler-qt6-dev, libqca-qt6-dev, qt6-base-dev, and qt6-declarative-dev
  * Update the other build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 6.0.0
    - bump libkchart-dev to 3.0.0 (Closes: #1086480)
    - bump okular-dev to 4:24.04.0
    - bump libpoppler-private-dev to 22.02.0
    - add librevenge-dev, libssl-dev, qtkeychain-qt6-dev, and vc-dev
    - drop no more needed/used directly or indirectly: libboost-system-dev,
      libglib2.0-dev, libkproperty3-dev, libkreport3-dev, libspnav-dev,
      libx11-dev, and libxml2-dev
    - drop libgit2-dev, used only by the disabled Gemini
  * Switch the kf5 dh addon to kf6.
  * Update the patches:
    - upstream_Partial-update-of-Commit-62f51070-to-make-it-compile.patch: drop,
      backported from upstream
    - upstream_Fix-some-more-warnings.patch: drop, backported from upstream
    - upstream_Small-CMake-modernization.patch: drop, backported from upstream
    - upstream_Update-Cmake-and-deps-Fix-Freetype-and-FontConfig-Li.patch: drop,
      backported from upstream
    - upstream_Remove-old-std-c-11-setting-for-Vc.patch: drop, backported from
      upstream
    - upstream_Fix-compile-with-newer-versions-of-poppler.patch: drop,
      backported from upstream
    - upstream_Fix-compile-with-poppler-2405-or-higher.patch: drop, backported
      from upstream
    - upstream_Raise-minimum-poppler-version-to-0.83.0-cleaning-up-.patch: drop,
      backported from upstream
    - upstream_PdfImport-Fix-compile-with-newer-poppler.patch: drop, backported
      from upstream
    - upstream_PdfImport-Fix-compile-with-newer-poppler_2.patch: drop,
      backported from upstream
    - upstream_SvgOutputDev-Fix-ifdef-version-for-getFont-API-chang.patch: drop,
      backported from upstream
    - upstream_Make-KF5Kross-optional.patch: drop, backported from upstream
  * CI: temporarily disable the i386 build, as poppler-qt6 is not available
    there.
  * Drop -Wno-deprecated -Wno-deprecated-declarations from the CXXFLAGS,
    as there should be no more (or very few) deprecation warnings now.
  * Update install files. (Closes: #1091140)
  * Drop calligra-gemini, and calligra-gemini-data, as Gemini is hard disabled
    upstream. (Closes: #901432)
  * Stop enabling the "unmaintained products" (i.e. currently Braindump):
    considering how they are marked, and the fact that they are disabled by
    default, then it is a better idea to not enable them at all
    - drop the -DCALLIGRA_SHOULD_BUILD_UNMAINTAINED=ON cmake argument


=== debian/control ===
Source: calligra
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-exec,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libboost-dev,
               libeigen3-dev,
               libetonyek-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libgsl-dev,
               libkchart-dev (>= 3.0.0~),
               libkf6archive-dev (>= 6.0.0~),
               libkf6completion-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6guiaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6itemviews-dev (>= 6.0.0~),
               libkf6jobwidgets-dev (>= 6.0.0~),
               libkf6kcmutils-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6notifyconfig-dev (>= 6.0.0~),
               libkf6sonnet-dev (>= 6.0.0~),
               libkf6textwidgets-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               liblcms2-dev (>= 2.4),
               libodfgen-dev,
               libopenexr-dev,
               libphonon4qt6-dev,
               libphonon4qt6experimental-dev,
               libpoppler-private-dev (>= 22.02.0~),
               libpoppler-qt6-dev (>= 22.02.0~) [!i386],
               libqca-qt6-dev (>= 2.1.0~),
               librevenge-dev,
               libssl-dev,
               libvisio-dev (>= 0.1),
               libwpd-dev (>= 0.10),
               libwpg-dev (>= 0.3),
               libwps-dev (>= 0.4),
               okular-dev (>= 4:24.04.0~),
               pkg-kde-tools (>= 0.15.16),
               pkgconf,
               pstoedit,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qtkeychain-qt6-dev,
               shared-mime-info,
               vc-dev (>= 1.1.0~) [any-amd64 any-i386 arm64 armel armhf],
               zlib1g-dev,
Standards-Version: 4.7.0
Homepage: https://www.calligra.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/calligra.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/calligra
Rules-Requires-Root: no

Package: calligra
Architecture: any
Depends: calligrasheets (= ${binary:Version}),
         calligrastage (= ${binary:Version}),
         calligrawords (= ${binary:Version}),
         karbon (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: calligra-libs (<< 1:24.12.2+dfsg-2~),
Replaces: calligra-libs (<< 1:24.12.2+dfsg-2~),
Description: extensive productivity and creative suite
 Calligra Suite is a set of applications written to help you to accomplish
 your work. It includes office applications such as a word processor,
 a spreadsheet, a presentation program, a database application, etc., and
 raster and vector graphics tools.
 .
 This metapackage provides all the components of the Calligra Suite.

Package: karbon
Architecture: any
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: pstoedit
Homepage: https://www.calligra.org/karbon/
Description: vector graphics application for the Calligra Suite
 Karbon is a vector drawing application with an user interface that is easy to
 use, highly customizable and extensible. That makes Karbon a great application
 for users starting to explore the world of vector graphics as well as for
 artists wanting to create breathtaking vector art. Features include:
 .
  * Loading support for ODG, SVG, WMF, WPG, EPS/PS
  * Writing support for ODG, SVG, WMF, PNG, PDF
  * Customizable user interface with freely placeable toolbars and dockers
  * Layer docker for easy handling of complex documents including preview
    thumbnails, support for grouping shapes via drag and drop,
    controlling visibility of shapes or locking
  * Advanced path editing tool with great on-canvas editing capabilities
  * Various drawing tools for creating path shapes including a draw path
    tool and a pencil tool, as well as a calligraphy drawing tool
  * Gradient and pattern tools for easy on-canvas editing of gradient and
    pattern styles
  * Top notch snapping facilities for guided drawing and editing (e.g.
    snapping to grid, guide lines, path nodes, bounding boxes, orthogonal
    positions, intersections of path shapes or extensions of lines and
    paths)
  * Many predefined basic shapes included, such as circle/ellipse, star or
    rectangle
  * Artistic text shape with support for following path outlines
    (i.e. text on path)
  * Complex path operations and effects like Boolean set operations,
    path flattening, rounding and refining as well as whirl/pinch effects
  * Extensible by writing plugins for new tools, shapes and dockers
 .
 This package is part of the Calligra Suite.

Package: calligrasheets
Architecture: any
Section: math
Depends: calligrasheets-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter,
Homepage: https://www.calligra.org/sheets/
Description: spreadsheet for the Calligra Suite
 Tables is a powerful spreadsheet application.  It is scriptable and
 provides both table-oriented sheets and support for complex mathematical
 formulae and statistics. It is the successor of KSpread.
 .
 This package is part of the Calligra Suite.

Package: calligrasheets-data
Architecture: all
Section: math
Depends: ${misc:Depends}
Homepage: https://www.calligra.org/sheets/
Description: data files for Sheets spreadsheet
 This package contains architecture-independent data files for Sheets,
 the spreadsheet shipped with the Calligra Suite.
 .
 See the calligrasheets package for further information.
 .
 This package is part of the Calligra Suite.

Package: calligrawords
Architecture: any
Section: text
Depends: calligrawords-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Homepage: https://www.calligra.org/words/
Description: word processor for the Calligra Suite
 Words is a FrameMaker-like word processing and desktop publishing
 application. It is capable of creating polished and professional
 looking documents. It can be used for desktop publishing, but also for
 "normal" word processing, like writing letters, reports and so on.
 .
 This package is part of the Calligra Suite.

Package: calligrawords-data
Architecture: all
Section: text
Depends: ${misc:Depends}
Homepage: https://www.calligra.org/words/
Description: data files for Words word processor
 This package contains architecture-independent data files for Words,
 the word processor shipped with the Calligra Suite.
 .
 See the calligrawords package for further information.
 .
 This package is part of the Calligra Suite.

Package: calligrastage
Architecture: any
Depends: calligrastage-data (>=${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter
Homepage: https://www.calligra.org/stage/
Description: presentation program for the Calligra Suite
 Stage is an easy to use yet still flexible presentation application. You can
 easily create presentations containing a rich variety of elements, from
 graphics to text, from charts to images. Stage is extensible through a
 plugin system, so it is easy to add new effects, new content elements or even
 new ways of managing your presentation.
 .
 Stage natively uses the OpenDocument file format standard, for easy
 interchange with all ODF supporting applications, which includes Microsoft
 Office. Examples of its easy-to-use features are support for layouts, a
 special slide overview view during presentations for the presenter, support
 for many different master sliders in one presentation, cool transitions and
 a useful notes feature.
 .
 This package is part of the Calligra Suite.

Package: calligrastage-data
Architecture: all
Depends: ${misc:Depends}
Homepage: https://www.calligra.org/stage/
Description: data files for Calligra Stage
 This package contains architecture-independent data files for Stage,
 the presentation program shipped with the Calligra Suite.
 .
 See the calligrastage package for further information.
 .
 This package is part of the Calligra Suite.

Package: calligra-libs
Section: libs
Architecture: any
Depends: calligra-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fonts-lyx, libqca-qt6-plugins
Suggests: texlive, wordnet
Description: common libraries and binaries for the Calligra Suite
 This package provides the libraries and binaries that are shared amongst
 the various components of Calligra.
 .
 This package is part of the Calligra Suite.

Package: calligra-data
Section: libs
Architecture: all
Depends: ${misc:Depends}
Suggests: khelpcenter
Description: common shared data for the Calligra Suite
 This package provides the architecture-independent data that is shared
 amongst the various components of Calligra.
 .
 This package is part of the Calligra Suite.

Package: okular-backend-odp
Architecture: any
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: okular
Enhances: okular
Description: Okular backend for ODP documents
 This package provides a backend for Okular to view OpenDocument Presentation
 (ODP) documents, but also PowerPoint and PPTX documents.
 .
 This package is part of the Calligra Suite.

Package: okular-backend-odt
Architecture: any
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: okular
Enhances: okular
Description: Okular backend for ODT documents
 This package provides a backend for Okular to view OpenDocument Text
 (ODT) documents, but also DOC, DOCX, RTF and WPD documents.
 .
 This package is part of the Calligra Suite.

## calligra 24.12.3%2Bdfsg

=== libs/odf/CMakeLists.txt ===
if(BUILD_TESTING)
    add_subdirectory( tests )
endif()
add_subdirectory( writeodf )

include_directories( ${KOODF_INCLUDES} )

########### libkoodf ###############

set(koodf_LIB_SRCS
    KoOdf.cpp
    KoOdfManifestEntry.cpp
    KoDocumentInfo.cpp
    KoGenStyle.cpp
    KoGenStyles.cpp
    KoFontFace.cpp
    KoOdfLoadingContext.cpp
    KoOasisSettings.cpp
    KoOdfStylesReader.cpp
    KoOdfNumberStyles.cpp
    KoOdfPaste.cpp
    KoOdfReadStore.cpp
    KoOdfWriteStore.cpp
    KoStyleStack.cpp
    KoOdfGraphicStyles.cpp
    KoGenChange.cpp
    KoGenChanges.cpp
    KoDocumentBase.cpp
    KoEmbeddedDocumentSaver.cpp
    KoEmbeddedDocumentLoader.cpp
    KoBorder.cpp
    Ko3dScene.cpp
    KoShadowStyle.cpp
    KoPageLayout.cpp
    KoPageFormat.cpp
    KoColumns.cpp
    KoUnit.cpp
    KoOdfNotesConfiguration.cpp
    KoOdfBibliographyConfiguration.cpp
    KoOdfNumberDefinition.cpp
    KoOdfLineNumberingConfiguration.cpp
    KoElementReference.cpp
    writeodf/helpers.cpp

    OdfDebug.cpp
)

add_library(koodf SHARED ${koodf_LIB_SRCS})
add_dependencies(koodf writeodf.h-target)
generate_export_header(koodf BASE_NAME koodf)

target_link_libraries(koodf
    PUBLIC
        kostore
        Qt6::PrintSupport
        Qt6::Xml
    PRIVATE
        KF6::I18n
        KF6::ConfigCore
        KF6::CoreAddons
)

set_target_properties(koodf PROPERTIES
    VERSION ${CALLIGRA_VERSION} SOVERSION ${CALLIGRA_SOVERSION}
)
install(TARGETS koodf ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )


if (SHOULD_BUILD_DEVEL_HEADERS)

install( FILES
    ${CMAKE_CURRENT_BINARY_DIR}/koodf_export.h
    KoOdf.h
    KoOdfManifestEntry.h
    KoGenStyle.h
    KoGenStyles.h
    KoFontFace.h
    KoOdfLoadingContext.h
    KoOasisSettings.h
    KoOdfStylesReader.h
    KoOdfNotesConfiguration.h
    KoOdfBibliographyConfiguration.h
    KoOdfNumberStyles.h
    KoOdfNumberDefinition.h
    KoOdfLineNumberingConfiguration.h
    KoOdfPaste.h
    KoOdfReadStore.h
    KoOdfWriteStore.h
    KoStyleStack.h
    KoOdfGraphicStyles.h
    KoDocumentBase.h
    KoGenChange.h
    KoGenChanges.h
    KoEmbeddedDocumentSaver.h
    KoEmbeddedDocumentLoader.h
    KoBorder.h
    Ko3dScene.h
    KoShadowStyle.h
    KoPageLayout.h
    KoPageFormat.h
    KoColumns.h
    KoUnit.h
    KoElementReference.h
    KoTableTemplate.h
DESTINATION ${KDE_INSTALL_INCLUDEDIR}/calligra COMPONENT Devel)

endif()

=== libs/text/CMakeLists.txt ===
include_directories(${KOTEXT_INCLUDES}
                    ${FONTCONFIG_INCLUDE_DIR}
                    ${FREETYPE_INCLUDE_DIRS})

if(BUILD_TESTING)
    add_subdirectory( tests )
    add_subdirectory( styles/tests )
endif()

########### next target ###############
set(kotext_LIB_SRCS
    KoDocumentRdfBase.cpp
    KoText.cpp
    KoTextBlockData.cpp
    KoTextBlockBorderData.cpp
    KoTextBlockPaintStrategyBase.cpp
    KoTextOdfSaveHelper.cpp
    KoTextPaste.cpp
    KoTextDocument.cpp
    KoTextEditor.cpp
    KoTextEditor_undo.cpp
    KoTextEditor_format.cpp
    KoList.cpp

    KoTextEditingRegistry.cpp
    KoTextEditingFactory.cpp
    KoTextEditingPlugin.cpp

    KoTextRangeManager.cpp
    KoInlineTextObjectManager.cpp
    KoInlineObjectFactoryBase.cpp
    KoInlineObjectRegistry.cpp
    InsertInlineObjectActionBase_p.cpp
    InsertVariableAction.cpp
    InsertNamedVariableAction.cpp
    InsertTextReferenceAction.cpp
    InsertTextLocator.cpp
    KoInlineObject.cpp
    KoTextRange.cpp
    KoVariable.cpp
    KoVariableManager.cpp
    KoNamedVariable.cpp
    KoSection.cpp
    KoSectionEnd.cpp
    KoSectionUtils.cpp
    KoSectionModel.cpp
    KoTextLocator.cpp
    KoTextReference.cpp
    KoAnchorInlineObject.cpp
    KoAnchorTextRange.cpp
    KoTextShapeSavingContext.cpp
    KoAnnotation.cpp
    KoAnnotationManager.cpp
    KoBookmark.cpp
    KoBookmarkManager.cpp
    KoInlineNote.cpp
    KoInlineCite.cpp
    KoTextSoftPageBreak.cpp
    FindDirection_p.cpp
    KoFindStrategy.cpp
    KoReplaceStrategy.cpp
    KoFind_p.cpp
    KoFind.cpp
    KoTextDebug.cpp
    KoTextPage.cpp
    KoPageProvider.cpp
    KoTableColumnAndRowStyleManager.cpp
    KoTextInlineRdf.cpp
    KoTextMeta.cpp
    KoTextTableTemplate.cpp

    OdfTextTrackStyles.cpp

    ToCBibGeneratorInfo.cpp
    KoTableOfContentsGeneratorInfo.cpp
    KoBibliographyInfo.cpp
    BibliographyGenerator.cpp

    styles/Styles_p.cpp
    styles/KoCharacterStyle.cpp
    styles/KoParagraphStyle.cpp
    styles/KoStyleManager.cpp
    styles/KoListStyle.cpp
    styles/KoListLevelProperties.cpp
    styles/KoTableStyle.cpp
    styles/KoTableColumnStyle.cpp
    styles/KoTableRowStyle.cpp
    styles/KoTableCellStyle.cpp
    styles/KoSectionStyle.cpp
    opendocument/KoTextSharedLoadingData.cpp
    opendocument/KoTextSharedSavingData.cpp
    opendocument/KoTextLoader.cpp
    opendocument/KoTextWriter_p.cpp
    opendocument/KoTextWriter.cpp

    changetracker/KoChangeTracker.cpp
    changetracker/KoChangeTrackerElement.cpp
    changetracker/KoFormatChangeInformation.cpp
    changetracker/KoDeletedRowColumnDataStore.cpp
    changetracker/KoDeletedRowData.cpp
    changetracker/KoDeletedColumnData.cpp
    changetracker/KoDeletedCellData.cpp

    commands/ChangeAnchorPropertiesCommand.cpp
    commands/ChangeListCommand.cpp
    commands/ChangeStylesCommand.cpp
    commands/ChangeStylesMacroCommand.cpp
    commands/DeleteAnchorsCommand.cpp
    commands/DeleteAnnotationsCommand.cpp
    commands/DeleteCommand.cpp
    commands/DeleteTableColumnCommand.cpp
    commands/DeleteTableRowCommand.cpp
    commands/InsertNoteCommand.cpp
    commands/InsertTableColumnCommand.cpp
    commands/InsertTableRowCommand.cpp
    commands/ResizeTableCommand.cpp
    commands/InsertInlineObjectCommand.cpp
    commands/ListItemNumberingCommand.cpp
    commands/TextPasteCommand.cpp
    commands/AddTextRangeCommand.cpp
    commands/AddAnnotationCommand.cpp
    commands/ParagraphFormattingCommand.cpp
    commands/RenameSectionCommand.cpp
    commands/NewSectionCommand.cpp
    commands/SplitSectionsCommand.cpp

    KoTextDrag.cpp
    KoTextCommandBase.cpp

    TextDebug.cpp
)

if( SHOULD_BUILD_FEATURE_RDF )
    set(kotext_LIB_SRCS ${kotext_LIB_SRCS}
        KoTextRdfCore.cpp
    )
endif()

add_library(kotext SHARED ${kotext_LIB_SRCS})
generate_export_header(kotext BASE_NAME kotext)

target_link_libraries(kotext
    PUBLIC
        flake
        KF6::TextWidgets
    PRIVATE
        koplugin
        KF6::WindowSystem # KoFind to activate the window with content found
)
if( SHOULD_BUILD_FEATURE_RDF )
    target_link_libraries(kotext PRIVATE ${SOPRANO_LIBRARIES})
endif()

if( FONTCONFIG_FOUND )
    target_link_libraries(kotext PRIVATE Fontconfig::Fontconfig)
endif()

if( FREETYPE_FOUND )
    target_link_libraries(kotext PRIVATE Freetype::Freetype)
endif()


set_target_properties(kotext PROPERTIES
   VERSION ${CALLIGRA_VERSION} SOVERSION ${CALLIGRA_SOVERSION}
)
install(TARGETS kotext  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

# TODO: with the new embedded JSON data for plugins there is no schema ATM to define extended properties
# texteditingplugin.desktop inlinetextobject.desktop

if (SHOULD_BUILD_DEVEL_HEADERS)

install(
    FILES
    KoDocumentRdfBase.h
    KoInlineObject.h
    KoTextEditor.h
    KoTextEditingFactory.h
    KoTextEditingPlugin.h
    KoTextEditingRegistry.h
    KoInlineObjectRegistry.h
    KoInlineObjectFactoryBase.h
    KoBookmark.h
    KoBookmarkManager.h
    KoAnnotationManager.h
    KoInlineTextObjectManager.h
    KoAnchorInlineObject.h
    KoAnchorTextRange.h
    KoTextBlockBorderData.h
    KoTextBlockData.h
    KoTextDocument.h
    KoText.h
    KoTextRange.h
    KoTextRangeManager.h
    KoList.h
    KoTextLocator.h
    KoTextPage.h
    KoTextPaste.h
    KoVariable.h
    KoVariableManager.h
    KoTextRdfCore.h
    KoTextInlineRdf.h
    KoTextMeta.h
    KoTextSoftPageBreak.cpp
    KoSection.h
    KoSectionEnd.h
    KoSectionUtils.h
    KoSectionModel.h
    KoTextCommandBase.h
    KoTextTableTemplate.h

    DESTINATION
    ${KDE_INSTALL_INCLUDEDIR}/calligra COMPONENT Devel
)

install(
    FILES
    styles/KoCharacterStyle.h
    styles/KoListLevelProperties.h
    styles/KoListStyle.h
    styles/KoParagraphStyle.h
    styles/KoTableColumnStyle.h
    styles/KoTableRowStyle.h
    styles/KoTableCellStyle.h
    styles/KoSectionStyle.h
    styles/KoStyleManager.h
    styles/KoTableStyle.h
    DESTINATION
    ${KDE_INSTALL_INCLUDEDIR}/calligra/styles COMPONENT Devel
)

install(
    FILES
    changetracker/KoChangeTracker.h
    changetracker/KoChangeTrackerElement.h
    changetracker/KoDeletedRowColumnDataStore.h
    changetracker/KoDeletedRowData.cpp
    changetracker/KoDeletedColumnData.cpp
    changetracker/KoDeletedCellData.cpp
    DESTINATION
    ${KDE_INSTALL_INCLUDEDIR}/calligra/changetracker COMPONENT Devel
)

endif()

=== plugins/semanticitems/event/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"calligra_semanticitem_event\")

include_directories(
    ${KORDF_INCLUDES}
)
set(calligra_semanticitem_event_LIB_SRCS
    KoEventSemanticItemFactory.cpp
    KoEventSemanticItemPlugin.cpp
    KoRdfCalendarEvent.cpp
    KoRdfCalendarEventTreeWidgetItem.cpp
)

ki18n_wrap_ui( calligra_semanticitem_event_LIB_SRCS
   KoRdfCalendarEventEditWidget.ui
)

add_library(calligra_semanticitem_event MODULE ${calligra_semanticitem_event_LIB_SRCS})

if (KF6CalendarCore_FOUND AND KF6Akonadi_FOUND)
   add_definitions(-DKDEPIMLIBS_FOUND)
   target_link_libraries(calligra_semanticitem_event
      KF6::CalendarCore
      KF6::AkonadiCore
   )
endif ()

target_link_libraries(calligra_semanticitem_event   ${KORDF_LIBS} KF6::I18n KF6::KDELibs4Support)

install(TARGETS calligra_semanticitem_event  DESTINATION ${KDE_INSTALL_PLUGINDIR}/calligra/semanticitems)

=== plugins/textediting/autocorrection/data/nl_NL/CMakeLists.txt ===
install(FILES nl_NL.xml DESTINATION ${KDE_INSTALL_DATADIR}/calligra/autocorrect)

=== plugins/textediting/autocorrection/libs/tests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
add_executable(autocorrection_gui autocorrection_gui.cpp)
target_link_libraries(autocorrection_gui
  KF6::KIOCore
  KF6::PimCommon
  KF6::PimTextEdit
  KF6::I18n
)

add_executable(richtexteditwithautocorrection_gui richtexteditwithautocorrection_gui.cpp)
target_link_libraries(richtexteditwithautocorrection_gui
  KF6::KIOCore
  KF6::PimCommon
  KF6::PimTextEdit
  KF6::I18n
)
